ABS(3)

NAME
abs - integer absolute value

SYNOPSIS
#include <stdlib.h>
int abs(int i)

DESCRIPTION
Abs returns the absolute value of its integer operand.

SEE ALSO
floor(3).

BUGS
Applying the abs function to the most negative integer generates a result which is the most negative integer. That is, abs(0x80000000) returns 0x80000000 as a result on a machine with 32-bit ints. Using the result in unsigned computations is sound however.